"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "NativeBaseConsumer", {
  enumerable: true,
  get: function () {
    return _native.ThemeConsumer;
  }
});
Object.defineProperty(exports, "NativeBaseContext", {
  enumerable: true,
  get: function () {
    return _native.ThemeContext;
  }
});
exports.NativeBaseProvider = void 0;

var _react = _interopRequireDefault(require("react"));

var _native = require("styled-components/native");

var _theme = require("./../theme");

var _colorMode = require("./../color-mode");

var _NativeBaseWrapper = _interopRequireDefault(require("./NativeBaseWrapper"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const NativeBaseProvider = props => {
  const {
    children,
    colorModeManager,
    theme = _theme.theme,
    ...rest
  } = props;
  return /*#__PURE__*/_react.default.createElement(_native.ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/_react.default.createElement(_colorMode.ColorModeProvider, {
    colorModeManager: colorModeManager,
    options: theme.config
  }, /*#__PURE__*/_react.default.createElement(_NativeBaseWrapper.default, rest, children)));
};

exports.NativeBaseProvider = NativeBaseProvider;
//# sourceMappingURL=NativeBaseProvider.js.map