"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _OverlayProvider = _interopRequireDefault(require("./Overlay/OverlayProvider"));

var _colorMode = require("../color-mode");

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const NativeBaseWrapper = ({
  children,
  disableSafeArea,
  ...props
}) => {
  const styles = _reactNative.StyleSheet.create({
    container: {
      flex: 1
    }
  });

  const defaultView = /*#__PURE__*/_react.default.createElement(_reactNative.View, _extends({}, props, {
    style: {
      backgroundColor: (0, _colorMode.useColorModeValue)("gray.50", "gray.800"),
      flex: 1
    }
  }), /*#__PURE__*/_react.default.createElement(_OverlayProvider.default, null, children));

  return disableSafeArea ? defaultView : /*#__PURE__*/_react.default.createElement(_reactNative.SafeAreaView, {
    style: styles.container
  }, defaultView);
};

var _default = NativeBaseWrapper;
exports.default = _default;
//# sourceMappingURL=NativeBaseWrapper.js.map