"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SliderThumb = exports.default = void 0;

var _tools = require("../tools");

const baseStyle = props => {
  const simplifiedColorScheme = (0, _tools.getColorScheme)(props);
  return {
    activeColor: (0, _tools.mode)("".concat(simplifiedColorScheme, ".500"), "".concat(simplifiedColorScheme, ".200"))(props),
    trackColor: (0, _tools.mode)('gray.200', 'gray.700')(props)
  };
};

const sizes = {
  lg: {
    thumbSize: '10px',
    sliderSize: '9px'
  },
  md: {
    thumbSize: '8px',
    sliderSize: '8px'
  },
  sm: {
    thumbSize: '6px',
    sliderSize: '7px'
  }
};
const defaultProps = {
  colorScheme: 'default',
  size: 'md',
  min: 0,
  max: 100,
  step: 1
};
var _default = {
  baseStyle,
  sizes,
  defaultProps
}; // SliderThumb

exports.default = _default;
const sliderThumbDefaultProps = {
  shadow: 2
};
const SliderThumb = {
  defaultProps: sliderThumbDefaultProps
};
exports.SliderThumb = SliderThumb;
//# sourceMappingURL=slider.js.map