function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { StyleSheet } from 'react-native';
import { color, space, typography } from 'styled-system';
import { usePropsConfig } from '../../../hooks';
import styled from 'styled-components/native';
import AntDesign from 'react-native-vector-icons/AntDesign';
import Entypo from 'react-native-vector-icons/Entypo';
import EvilIcons from 'react-native-vector-icons/EvilIcons';
import Feather from 'react-native-vector-icons/Feather';
import FontAwesome from 'react-native-vector-icons/FontAwesome';
import FontAwesome5 from 'react-native-vector-icons/FontAwesome5';
import Foundation from 'react-native-vector-icons/Foundation';
import Ionicons from 'react-native-vector-icons/Ionicons';
import MaterialCommunityIcons from 'react-native-vector-icons/MaterialCommunityIcons';
import MaterialIcons from 'react-native-vector-icons/MaterialIcons';
import Octicons from 'react-native-vector-icons/Octicons';
import SimpleLineIcons from 'react-native-vector-icons/SimpleLineIcons';
import Zocial from 'react-native-vector-icons/Zocial';
import { SVGIcon } from './SVGIcon';
import { Path } from 'react-native-svg';

const Icon = iconProps => {
  const {
    name,
    type,
    size,
    style,
    ...props
  } = iconProps;
  const newProps = usePropsConfig('Icon', {
    size
  });

  if (!name) {
    return /*#__PURE__*/React.createElement(SVGIcon, iconProps);
  }

  const flattenedIconStyle = StyleSheet.flatten([{
    fontSize: parseInt(newProps.dimension || newProps.size, 10)
  }, style]);

  switch (type) {
    case 'AntDesign':
      return /*#__PURE__*/React.createElement(AntDesign, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'Entypo':
      return /*#__PURE__*/React.createElement(Entypo, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'EvilIcons':
      return /*#__PURE__*/React.createElement(EvilIcons, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'Feather':
      return /*#__PURE__*/React.createElement(Feather, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'FontAwesome':
      return /*#__PURE__*/React.createElement(FontAwesome, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'FontAwesome5':
      return /*#__PURE__*/React.createElement(FontAwesome5, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'Foundation':
      return /*#__PURE__*/React.createElement(Foundation, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'Ionicons':
      return /*#__PURE__*/React.createElement(Ionicons, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'MaterialCommunityIcons':
      return /*#__PURE__*/React.createElement(MaterialCommunityIcons, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'Octicons':
      return /*#__PURE__*/React.createElement(Octicons, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'SimpleLineIcons':
      return /*#__PURE__*/React.createElement(SimpleLineIcons, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    case 'Zocial':
      return /*#__PURE__*/React.createElement(Zocial, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));

    default:
      return /*#__PURE__*/React.createElement(MaterialIcons, _extends({
        name: name,
        style: flattenedIconStyle
      }, props));
  }
};

const styledIcon = styled(Icon)(color, space, typography);
export default styledIcon;
export { Path };
export { createIcon } from './createIcon';
//# sourceMappingURL=index.js.map