import React from 'react';
import { ThemeConsumer, ThemeContext, ThemeProvider } from 'styled-components/native';
import { theme as defaultTheme } from './../theme';
import { ColorModeProvider } from './../color-mode';
import NativeBaseWrapper from './NativeBaseWrapper';

const NativeBaseProvider = props => {
  const {
    children,
    colorModeManager,
    theme = defaultTheme,
    ...rest
  } = props;
  return /*#__PURE__*/React.createElement(ThemeProvider, {
    theme: theme
  }, /*#__PURE__*/React.createElement(ColorModeProvider, {
    colorModeManager: colorModeManager,
    options: theme.config
  }, /*#__PURE__*/React.createElement(NativeBaseWrapper, rest, children)));
};

export { NativeBaseProvider, ThemeConsumer as NativeBaseConsumer, ThemeContext as NativeBaseContext };
//# sourceMappingURL=NativeBaseProvider.js.map