import { ViewProps } from 'react-native';
import { BorderProps, ColorProps, FlexboxProps, LayoutProps, SpaceProps } from 'styled-system';
export declare type IStackProps = ColorProps | SpaceProps | LayoutProps | FlexboxProps | BorderProps;
declare type SpaceType = 'gutter' | '2xs' | 'xs' | 'sm' | 'md' | 'lg' | 'xl' | '2xl';
export declare type StackProps = IStackProps & ViewProps & {
    children: JSX.Element[] | JSX.Element;
    divider?: JSX.Element;
    space?: number | SpaceType;
    reversed?: boolean;
};
declare const Stack: (props: StackProps & {
    direction?: 'column' | 'row';
}) => JSX.Element;
export declare const VStack: (props: StackProps) => JSX.Element;
export declare const HStack: (props: StackProps) => JSX.Element;
export default Stack;
